
/* ------------------------------------------------------ */
/* HUBSPOT FORMS */
/* ------------------------------------------------------ */

.hbspt-form,
.hs-form-html{
  --hb-input-border-color: var(--white);
  --hb-text-color: var(--white);
  --hb-text-secondary-color: var(--grey-200);
  --hb-progress-background-color: var(--bg-grad-blue);
}
.light .hbspt-form,
.light.hs-form-html {
  --hb-input-border-color: var(--purple-main);
  --hb-text-color: var(--grey-500);
  --hb-text-secondary-color: var(--grey-450);
  --hb-progress-background-color: var(--grey-200);
}
.hbspt-form .field {
  margin-block-end: 16px;
}
.hbspt-form form > div:not([class]) .hs-richtext, .hbspt-form [class^="form-columns"] .hs-richtext {
  padding-block-end: 24px;
}
.hbspt-form fieldset {
  max-inline-size: 100% !important;
}
.hbspt-form .no-list, .hbspt-form .inputs-list {
  list-style: none;
  margin: 0;
  padding: 0;
}
.hbspt-form .no-list li, .hbspt-form .inputs-list li {
  padding-inline-start: 0;
}
.hbspt-form .hs-field-desc {
	color: var(--hb-text-secondary-color);
	font-size: var(--text-1);
	font-weight: 400;
	margin-bottom: 10px;
  margin-top: -2px;
  line-height: 1.2;
}
.hbspt-form .hs-form-field label:not(.hs-error-msg):not(.hs-form-booleancheckbox-display) {
  color: var(--white);
  font-size: 16px;
  font-weight: 500;
  margin-bottom: 10px;
  vertical-align: top;
}
.hbspt-form .hs-form-required {
  color: var(--red-medium);
}
.hbspt-form .hs-form-booleancheckbox-display {
  display: block;
  margin: 0;
}
.hbspt-form .input {
  border: 0;
  inline-size: 100%;
  margin-inline-end: 0 !important;
  padding: 0;
}
.hbspt-form .hs-input:not([type="checkbox"]):not([type="radio"]) {
  --input-min-height: 30px;
  background-color: #ffffffdd;
  border-color: var(--hb-input-border-color);
  border-radius: 100px;
  display: block;
  inline-size: 100% !important;
  line-height: normal;
  margin-block-end: 0;
  padding: 8px 14px;
  min-block-size: var(--input-min-height);
}
.hbspt-form textarea.hs-input {
  border-radius: 14px !important;
}
.hbspt-form .hs-input::placeholder {
  color: var(--grey-350);
}
.hbspt-form .hs-input.invalid, .hbspt-form .hs-input.error {
  border-color: var(--red-main);
}
.hbspt-form .hs-error-msg {
  color: #EE5555;
  display: block;
  font-size: var(--text-1);
  font-weight: 400;
  line-height: 1.4;
  margin-block-start: 8px;
}
.hbspt-form .hs-error-msg:last-child {
  margin-block-end: 0;
}
.hbspt-form .legal-consent-container > div {
  margin-block-end: 18px;
}
.hbspt-form .legal-consent-container > div:last-child {
  margin-block-end: 0;
}
.hbspt-form .legal-consent-container .hs-form-booleancheckbox-display > span {
  margin: 0;
}
.hbspt-form .form-columns-2, .hbspt-form .form-columns-3 {
  display: grid;
}
@media (min-width: 768px) {
  .hbspt-form .form-columns-2, .hbspt-form .form-columns-3 {
    grid-column-gap: 32px;
    grid-template-columns: repeat(2, 1fr);
	}
}
.hbspt-form .form-columns-2 .hs-form-field, .hbspt-form .form-columns-3 .hs-form-field {
  float: none !important;
  inline-size: auto !important;
}
@media (min-width: 768px) {
  .hbspt-form .form-columns-3 {
    grid-template-columns: repeat(3, 1fr);
	}
}
.hbspt-form .hs-richtext {
  color: var(--hb-text-secondary-color);
  font-size: var(--text-1);
}
.hbspt-form .hs_error_rollup {
  background: var(--red-light);
  border: 1px solid var(--red-main);
  border-radius: 4px;
  box-shadow: none;
  margin-block: 24px;
  padding-block: 16px;
  padding-inline: 48px 16px;
  position: relative;
}
.hbspt-form .hs_error_rollup label {
  color: var(--red-main);
  display: block;
  margin: 0;
}
.hbspt-form .hs_error_rollup::before {
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' fill='none' viewBox='0 0 24 24'%3E%3Cpath fill='%23D33E36' d='M12.161 2.993c.819.047 1.5.437 1.911 1.23l6.726 13.578c.652 1.373-.358 3.22-2.015 3.246H5.24c-1.509-.024-2.746-1.736-2.007-3.26l6.851-13.578c.128-.244.187-.314.298-.442.444-.516.93-.792 1.78-.774m-.11 1.499a.76.76 0 0 0-.623.381 451 451 0 0 0-6.863 13.6c-.204.46.147 1.05.661 1.074q6.785.11 13.57 0c.497-.024.87-.594.663-1.069a449 449 0 0 0-6.737-13.6.7.7 0 0 0-.671-.386'/%3E%3Cpath fill='%23D33E36' d='M12.611 15.215h-1.255l-.138-6.168h1.537zm-1.435 1.887q0-.343.222-.568t.607-.226.606.226q.223.225.223.568 0 .33-.217.552-.216.222-.613.222-.396 0-.612-.222a.76.76 0 0 1-.216-.552'/%3E%3C/svg%3E");
  background-size: 24px 24px;
  block-size: 24px;
  content: '';
  display: block;
  inline-size: 24px;
  inset-block-start: 13px;
  inset-inline-start: 16px;
  position: absolute;
}
.hbspt-form .hs-button {
  align-items: center;
  background: var(--purple-main);
  border-radius: 100vw;
  border-width: 0;
  box-shadow: 0px 2px 8px rgba(122, 82, 255, 0.3);
  color: var(--white);
  display: inline-flex;
  font-size: 16px !important;
  font-weight: 500;
  gap: 10px;
  justify-content: center;
  letter-spacing: 0.5px;
  padding: 12px 30px !important;
  text-align: center;
  transition: transform 0.2s ease-out;
}
.hbspt-form .hs-button:hover {
  transform: translateY(-2px);
}
.hbspt-form .actions {
  text-align: end;
}
.hbspt-form .hs_submit {
  --hs-button-width: auto;
  margin-block-start: 24px;
}
.hbspt-form .hs_submit .hs-button {
  inline-size: 100%;
}
@media (min-width: 768px) {
  .hbspt-form .hs_submit .hs-button {
    inline-size: var(--hs-button-width);
  }
}
 .hbspt-form .hs-fieldtype-textarea .hs-input {
	 --input-min-height: 180px !important;
}
.hbspt-form .hs-fieldtype-file .input {
  display: flex;
  flex-direction: column;
  gap: 8px;
}
@media (min-width: 768px) {
  .hbspt-form .hs-fieldtype-file .input {
    align-items: center;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 16px;
	}
}
.hbspt-form .hs-fieldtype-file .file-name {
  font-size: 16px;
}
/* Checkbox and Radio Button Styles */
.hbspt-form [type="checkbox"], .hbspt-form [type="radio"] {
  accent-color: var(--hb-input-border-color);
  appearance: none;
  block-size: 0;
  border: 0 !important;
  inline-size: 0;
  margin: 0;
  margin-block-start: 0.65rem;
  margin-inline-end: 12px;
  position: absolute;
  vertical-align: top;
}
.hbspt-form [type="checkbox"] + label, .hbspt-form [type="radio"] + label, .hbspt-form [type="checkbox"] + span, .hbspt-form [type="radio"] + span {
  --_border-color: var(--hb-input-border-color);
  --_check-opacity: 0;
  display: inline-block;
  font: inherit;
  line-height: 24px;
  margin-block-start: 0;
  padding-inline-start: 24px;
  position: relative;
}
.hbspt-form [type="checkbox"] + label::before, .hbspt-form [type="radio"] + label::before, .hbspt-form [type="checkbox"] + span::before, .hbspt-form [type="radio"] + span::before {
  background-color: var(--white);
  block-size: 16px;
  inline-size: 16px;
  border: 1px solid var(--hb-input-border-color);
  border-radius: 4px;
  content: "";
  display: inline-block;
  inset-block: 0 auto;
  inset-inline: 0 auto;
  margin-inline-end: 16px;
  position: absolute;
  top: 4px;
}
.hbspt-form [type="checkbox"]:checked + label, .hbspt-form [type="radio"]:checked + label, .hbspt-form [type="checkbox"]:checked + span, .hbspt-form [type="radio"]:checked + span {
  --_check-opacity: 1;
}
.hbspt-form [type="checkbox"]:focus {
  box-shadow: none;
  outline: none;
}
.hbspt-form [type="checkbox"] + label, .hbspt-form [type="checkbox"] + span {
  cursor: pointer;
}
.hbspt-form [type="checkbox"] + label::after, .hbspt-form [type="checkbox"] + span::after {
  block-size: 8px;
  border: 2px solid var(--grey-400);
  border-block-start: none;
  border-inline-end: none;
  content: "";
  display: inline-block;
  inline-size: 14px;
  inset-block: 2px 0;
  inset-inline: 1px auto;
  opacity: var(--_check-opacity);
  position: absolute;
  transform: rotate(-51deg);
  top: 6px;
}
.hbspt-form [type="checkbox"]:focus-visible + label::before, .hbspt-form [type="checkbox"]:focus-visible + span::before {
  outline: 1px solid;
}
.hbspt-form [type="radio"]:focus {
  box-shadow: none;
  outline: none;
}
.hbspt-form [type="radio"] + label::before, .hbspt-form [type="radio"] + label::after, .hbspt-form [type="radio"] + span::before, .hbspt-form [type="radio"] + span::after {
	 border-radius: 100vmin;
}
.hbspt-form [type="radio"] + label::after, .hbspt-form [type="radio"] + span::after {
  background: var(--grey-400);
  block-size: 14px;
  content: "";
  display: inline-block;
  inline-size: 14px;
  inset-block: 1px auto;
  inset-inline: 1px auto;
  opacity: var(--_check-opacity);
  position: absolute;
  top: 5px;
}
.hbspt-form [type="radio"]:focus-visible + label::before, .hbspt-form [type="radio"]:focus-visible + span::before {
  outline: 1px solid;
}
.hbspt-form [type="file"],
.hs-form-html .hsfc-Renderer [type="file"] {
  appearance: none;
  display: flex;
  padding-left: 0;
}
.hbspt-form [type="file"]::file-selector-button,
.hs-form-html .hsfc-Renderer [type="file"]::file-selector-button {
  --button-background-color: var(--purple-main);
  --button-border-color: var(--purple-main);
  --button-border-width: 0;
  --button-border-radius: 100vw;
  --button-font-weight: 500;
  --button-text-color: var(--white);
  background-color: var(--button-background-color);
  border: solid var(--button-border-width) var(--button-border-color);
  border-radius: var(--button-border-radius);
  color: var(--button-text-color);
  cursor: pointer;
  display: inline-flex;
  font: inherit;
  font-size: 1rem;
  font-weight: var(--button-font-weight);
  justify-content: center;
  letter-spacing: 0;
  line-height: 1.5;
  padding: 4px 30px !important;
  text-align: center;
  text-decoration: none;
}
.hs-form-html .hsfc-Renderer .hsfc-FormWrapper {
	--hsf-default-row__horizontal-spacing: 30px;
  --hsf-default-row__vertical-spacing: var(--space-2);
  --hsf-default-module__vertical-spacing: 10px;
  --hsf-default-button__font-family: var(--font-family-body);
  --hsf-default-button__font-size: 1rem;
  --hsf-default-button__color: var(--white);
  --hsf-default-button__background-color: var(--purple-main);
  --hsf-default-button__border-radius: 100vw;
  --hsf-default-button__padding: 12px 30px;
  --hsf-default-button__box-shadow: 0px 2px 8px rgba(122, 82, 255, 0.3);
  --hsf-default-button__font-weight: 500;
	--hsf-default-button--hover__background-color: var(--purple-main);
  --hsf-default-richtext__font-family: var(--font-family-body);
  --hsf-default-richtext__font-size: var(--text-3);
  --hsf-default-richtext__color: var(--hb-text-color);
  --hsf-default-heading__font-family: var(--font-family-body);
  --hsf-default-heading__color: var(--hb-text-color);
	--hsf-default-background__background-color: transparent;
  --hsf-default-background__padding: 0;
  --hsf-default-background__border-width: 0px 0px 0px 0px;
  --hsf-default-progressbar-text__font-family: var(--font-family-body);
  --hsf-default-progressbar-text__font-size: var(--text-3);
  --hsf-default-progressbar-text__color: var(--hb-text-color);
  --hsf-default-progressbar-progressLine__background-color: var(--purple-main);
  --hsf-default-progressbar-progressLine__border-color: var(--purple-main);
  --hsf-default-progressbar-trackLine__background-color: var(--hb-progress-background-color);
  --hsf-default-erroralert__font-family: var(--font-family-body);
  --hsf-default-erroralert__font-size: var(--text-1);
  --hsf-default-erroralert__color: var(--red-main);
  --hsf-default-infoalert__font-family: var(--font-family-body);
  --hsf-default-infoalert__font-size: var(--text-1);
  --hsf-default-infoalert__color: var(--hb-text-secondary-color);
  --hsf-default-field-label__font-family: var(--font-family-body);
  --hsf-default-field-label__font-size: var(--text-3);
  --hsf-default-field-label__color: var(--hb-text-color);
  --hsf-default-field-description__font-family: var(--font-family-body);
  --hsf-default-field-description__font-size: var(--text-1);
  --hsf-default-field-description__color: var(--hb-text-secondary-color);
  --hsf-default-field-footer__font-family: var(--font-family-body);
  --hsf-default-field-footer__font-size: var(--text-1);
  --hsf-default-field-footer__color: var(--hb-text-secondary-color);
  --hsf-default-field-input__font-family: var(--font-family-body);
  --hsf-default-field-input__font-size: var(--text-2);
  --hsf-default-field-input__color: var(--grey-500);
  --hsf-default-field-input__background-color: var(--white);
  --hsf-default-field-input__placeholder-color: var(--grey-350);
  --hsf-default-field-input__border-color: var(--hb-input-border-color);
  --hsf-default-field-input__border-radius: 100vw;
  --hsf-default-field-input__padding: 0 12px;
  --hsf-default-field-textarea__font-family: var(--font-family-body);
  --hsf-default-field-textarea__font-size: var(--text-2);
  --hsf-default-field-textarea__color: var(--grey-500);
  --hsf-default-field-textarea__background-color: var(--white);
  --hsf-default-field-textarea__placeholder-color: var(--grey-350);
  --hsf-default-field-textarea__border-color: var(--hb-input-border-color);
  --hsf-default-field-textarea__border-width: 1px 1px 1px 1px;
  --hsf-default-field-textarea__border-style: solid;
  --hsf-default-field-textarea__border-radius: 8px;
  --hsf-default-field-textarea__padding: 10px 12px;
  --hsf-default-field-checkbox__padding: 10px;
  --hsf-default-field-checkbox__background-color: var(--white);
  --hsf-default-field-checkbox__color: var(--grey-500);
  --hsf-default-field-checkbox__border-color: var(--hb-input-border-color);
  --hsf-default-field-radio__padding: 10px;
  --hsf-default-field-radio__background-color: var(--white);
  --hsf-default-field-radio__color: var(--grey-500);
  --hsf-default-field-radio__border-color: var(--hb-input-border-color);
}
.hs-form-html .hsfc-Heading {
	line-height: var(--lh-2);
}
.hs-form-html .hsfc-TextInput {
	line-height: 30px;
}
.hs-form-html .hsfc-TextareaInput {
	resize: none !important;
}
.hs-form-html .hsfc-CheckboxInput {
	--icon-check: url("data:image/svg+xml,%3Csvg width='16' height='16' viewBox='0 0 16 16' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M13.1617 3.31113C13.5823 2.89629 14.264 2.89629 14.6846 3.31113C15.1051 3.72596 15.1051 4.39838 14.6846 4.81321L6.3846 13L1.31543 7.99996C0.894858 7.58513 0.894858 6.91271 1.31543 6.49787C1.736 6.08304 2.41771 6.08304 2.83828 6.49787L6.3846 9.99583L13.1617 3.31113Z' fill='%2377708C'/%3E%3C/svg%3E%0A");
	border-radius: 4px !important;
}
.hs-form-html .hsfc-CheckboxInput:checked:after {
	-webkit-mask-image: var(--icon-check) !important;
	mask-image: var(--icon-check) !important;
}
.hs-form-html .hsfc-FileInput {
	line-height: 30px !important;
	background-color: var(--white);
	border-radius: 20px !important;
	border-color: var(--hb-input-border-color);
}
.hs-form-html .hsfc-Button:not([disabled]):hover {
	transform: translateY(-2px) !important;
}

/* Plytix styles */
[data-hsfc-id=Renderer] .hsfc-TextInput,
.hs-form-html .hsfc-FileInput,
[data-hsfc-id=Renderer] .hsfc-TextareaInput,
[data-hsfc-id=Renderer] .hsfc-CheckboxInput {
	border: solid 1px var(--grey-250) !important;
}
[data-hsfc-id=Renderer] .hsfc-ProgressBar__Progress,
[data-hsfc-id=Renderer] .hsfc-ProgressBar__Progress>div{
	height: 4px !important;
}
[data-hsfc-id=Renderer] .hsfc-ProgressBar__Progress>div {
	background-color: var(--grey-300) !important;
}
.hs-form-html .hsfc-FileInput {
	border: solid
}
[data-hsfc-id=Renderer] .hsfc-Button {
	padding: 8px 24px !important;
	font-size: .9rem !important;
}
.hs-form-booleancheckbox [id^="LEGAL_CONSENT"] + span {
	font-size: .7rem;
}
.hbspt-form .hs-form-field .multi-container label:not(.hs-error-msg):not(.hs-form-booleancheckbox-display) {
  margin-bottom: -6px;
}
.hbspt-form .field legend {
	margin-top: -6px;
}
.hbspt-form .hs-form-checkbox:first-child,
.hbspt-form .hs-form-radio:first-child {
	margin-top: -6px;
}

/* Light styles */
.light .hbspt-form .hs-form-field label:not(.hs-error-msg):not(.hs-form-booleancheckbox-display),
.light .hbspt-form p,
.light .hbspt-form p a {
  color: var(--grey-500);
}
.light .hbspt-form .hs-input:not([type="checkbox"]):not([type="radio"]) {
  border-color: var(--grey-250);
}
.light .hbspt-form [type="checkbox"] + label, 
.light .hbspt-form [type="radio"] + label, 
.light .hbspt-form [type="checkbox"] + span, 
.light .hbspt-form [type="radio"] + span {
  color: var(--grey-450);
}
.light .hbspt-form [type="checkbox"] + label::before, 
.light .hbspt-form [type="radio"] + label::before, 
.light .hbspt-form [type="checkbox"] + span::before, 
.light .hbspt-form [type="radio"] + span::before {
  border-color: var(--grey-250);
}
/* ------------------------------------------------------ */
/* HUBSPOT FORMS END */
/* ------------------------------------------------------ */
